> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usequanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Qbo Backfill Status



## OpenAPI

````yaml https://app.usequanta.com/openapi/quanta-services-api/openapi.json get /api/onboarding/qbo/backfill/status
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://app.usequanta.com
    description: Production
security:
  - HTTPBearer: []
paths:
  /api/onboarding/qbo/backfill/status:
    get:
      tags:
        - onboarding
        - quanta-services-api
      summary: Get Qbo Backfill Status
      operationId: get_qbo_backfill_status
      parameters:
        - name: workflow_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Workflow Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RunQBOBackfillStatus'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    RunQBOBackfillStatus:
      properties:
        status:
          $ref: '#/components/schemas/QBOBackfillWorkflowStatus'
          default: not_started
        step:
          $ref: '#/components/schemas/RunQBOBackfillStep'
          default: not_started
        vendor_mapping_workflow_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Vendor Mapping Workflow Id
        vendor_mapping_status:
          anyOf:
            - $ref: '#/components/schemas/CreateQBOVendorMappingsStatus'
            - type: 'null'
      type: object
      title: RunQBOBackfillStatus
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    QBOBackfillWorkflowStatus:
      type: string
      enum:
        - not_started
        - running
        - skipped
        - completed
        - failed
      title: QBOBackfillWorkflowStatus
    RunQBOBackfillStep:
      type: string
      enum:
        - not_started
        - checking_onboarding_status
        - caching_qbo_settings
        - pulling_qbo_accounts
        - creating_accounts_and_vendor_mappings
        - creating_journal_entries
        - seeding_qbo_sync_high_water_marks
        - transitioning_onboarding_status
        - completed
        - failed
      title: RunQBOBackfillStep
    CreateQBOVendorMappingsStatus:
      properties:
        status:
          $ref: '#/components/schemas/QBOBackfillWorkflowStatus'
          default: not_started
        step:
          $ref: '#/components/schemas/CreateQBOVendorMappingsStep'
          default: not_started
        vendor_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Vendor Count
        processed_vendor_count:
          type: integer
          title: Processed Vendor Count
          default: 0
      type: object
      title: CreateQBOVendorMappingsStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    CreateQBOVendorMappingsStep:
      type: string
      enum:
        - not_started
        - loading_qbo_vendors
        - creating_vendor_mappings
        - completed
        - failed
      title: CreateQBOVendorMappingsStep
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Quanta Services API scoped bearer token. Supported only on Services API
        routes.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.